;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
;
; gives the name of a month
;
; @categories calendar
; 
; @param number {in}{required}  the month number (from 1 to 12)
;
; @file_comments keyword parameters of string function to specify the format of the month (the C format) can be used.
;
; @returns the month's name
;
; @examples 
; IDL> name=monthname(2)
;
; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
;                      1 October 2001
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION monthname,  mm1, _extra = ex
   return, string(format='(C(CMoA0))',31*(mm1-1), _extra = ex)
end
